# Class InterruptedByTimeoutException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.nio.channels.InterruptedByTimeoutException

All Implemented Interfaces:
  `Serializable`

public class InterruptedByTimeoutException extends IOException
Checked exception received by a thread when a timeout elapses before an asynchronous operation completes.

Since:
  1.7
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InterruptedByTimeoutException()`
Constructs an instance of this class.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InterruptedByTimeoutException

public InterruptedByTimeoutException()
Constructs an instance of this class.